الانتقال إلى المحتوى الرئيسي
POST
/
audio
/
quote
/api/v1/audio/quote
curl --request POST \
  --url https://api.venice.ai/api/v1/audio/quote \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "model": "elevenlabs-music",
  "duration_seconds": 60,
  "character_count": 100
}
'
{
  "quote": 0.75
}
استخدم هذه الـ endpoint قبل /audio/queue لتقدير تكلفة طلب توليد الصوت بالدولار الأمريكي للنموذج والمعاملات المختارة.

مجموعة Postman

للمزيد من الأمثلة، يرجى مراجعة مجموعة Postman هذه.

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الجسم

application/json
model
string
مطلوب

The model to get a price quote for.

مثال:

"elevenlabs-music"

duration_seconds

Optional duration hint in seconds. Only supported for models that expose duration metadata via /models. Accepts either an integer or a numeric string. If omitted, the model default duration is used when available.

النطاق المطلوب: x > 0
مثال:

60

character_count
integer

Optional character count for character-based pricing models. Required when the selected model uses pricing.per_thousand_characters in /models.

النطاق المطلوب: x > 0
مثال:

100

الاستجابة

Price quote for audio generation

quote
number
مطلوب

The estimated price in USD for the audio generation.

مثال:

0.75